Package org.gradle.api.artifacts.transform

## Interface ArtifactTransformDependencies

-     @Incubating
      public interface ArtifactTransformDependencies

  An injectable service that when injected into an `ArtifactTransform` can be used to access the dependency artifacts of the artifact being transformed.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Iterable<File>` | `getFiles()` | Returns the dependency artifacts of the artifact being transformed.

- - ### Method Detail

    - #### getFiles

          Iterable<File> getFiles()

      Returns the dependency artifacts of the artifact being transformed. The order of the files match that of the dependencies in the source artifact view.